#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define srcname ktp-send-file
%define rel 1

Summary:        File Manager plugin to launch a file transfer job with a specified contact
Name:           telepathy-kde-send-file
Version: 20.12.0
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://cgit.kde.org/ktp-send-file.git
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{srcname}-%{version}.tar.xz

BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  telepathy-logger-qt5-devel

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)

Requires:       telepathy-kde-common-internals-core = %{version}

%description
A File manager plugin to launch a file transfer job with a specified contact.

%files -f %name.lang
%{_kf5_bindir}/ktp-send-file

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655733
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644115
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633934
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627173
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615044
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604238
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596975
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584627
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1569638
- New version 20.04.0

* Wed Mar 25 2020 daviddavid <daviddavid> 19.12.3-1.mga8
+ Revision: 1559643
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540878
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513417
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467075
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1458020
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446526
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425107
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390562
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387780
- New version 19.03.90

* Tue Apr 02 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1385007
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375791
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365685
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356622
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339627
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332857
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327510
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301373
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229177
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1202008
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1195030
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186572
- New version 17.12.0
- New version 17.08.0

* Wed Aug 09 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1139195
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131476
- New version 17.04.3

* Sun Mar 12 2017 neoclust <neoclust> 16.12.3-2.mga6
+ Revision: 1092086
- Rebuild for armv7

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090194
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076936
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072126
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067443
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061507
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050770
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049463
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040173
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014306
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006728
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998055
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993242
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987697
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922728
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905453
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901189
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890682
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880482
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866000
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863642
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862239
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859955
- New version 15.07.80

* Sat Jul 18 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855005
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813753
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 743497
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689808
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667409
- Update to 0.8.1

* Sun Mar 16 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 604119
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595850
- 0.7.80

* Mon Feb 17 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 593144
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549314
- Update to 0.7.0

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.2.mga4
+ Revision: 540881
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493003
- Update tarball to 0.6.80

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466311
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429049
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407388
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402410
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399548
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332474
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306888
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285449
- Update tarball to 0.5.0
- Drop patch merged

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271803
- New version 0.4.0

* Mon Apr 09 2012 tmb <tmb> 0.3.0-1.mga2
+ Revision: 229995
- fix desktop file
+ mikala <mikala>
- Add requires for common translations
- Update tarball to 0.3.0
- Add patch0 to fix build of po files
- Remove tabs
- Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173573
- Update tarball to 0.2.0
- fix files list
- Add patch0 to fix desktop file validation by BS
- imported package telepathy-kde-send-file

